import { AgentConfig } from '../../agent/AgentConfig';
import { DidCommMessageRepository } from '../../storage';
import { AutoAcceptCredential } from './CredentialAutoAcceptType';
/**
 * This class handles all the automation with all the messages in the issue credential protocol
 * Every function returns `true` if it should automate the flow and `false` if not
 */
export declare class CredentialResponseCoordinator {
    private agentConfig;
    private didCommMessageRepository;
    constructor(agentConfig: AgentConfig, didCommMessageRepository: DidCommMessageRepository);
    /**
     * Returns the credential auto accept config based on priority:
     *	- The record config takes first priority
     *	- Otherwise the agent config
     *	- Otherwise {@link AutoAcceptCredential.Never} is returned
     */
    static composeAutoAccept(recordConfig: AutoAcceptCredential | undefined, agentConfig: AutoAcceptCredential | undefined): AutoAcceptCredential;
}
