import type { AgentConfig } from '../../../../../agent/AgentConfig';
import type { Handler } from '../../../../../agent/Handler';
import type { InboundMessageContext } from '../../../../../agent/models/InboundMessageContext';
import type { DidCommMessageRepository } from '../../../../../storage';
import type { MediationRecipientService } from '../../../../routing/services/MediationRecipientService';
import type { V2CredentialService } from '../V2CredentialService';
import { V2OfferCredentialMessage } from '../messages/V2OfferCredentialMessage';
export declare class V2OfferCredentialHandler implements Handler {
    private credentialService;
    private agentConfig;
    private mediationRecipientService;
    supportedMessages: (typeof V2OfferCredentialMessage)[];
    private didCommMessageRepository;
    constructor(credentialService: V2CredentialService, agentConfig: AgentConfig, mediationRecipientService: MediationRecipientService, didCommMessageRepository: DidCommMessageRepository);
    handle(messageContext: InboundMessageContext<V2OfferCredentialMessage>): Promise<import("../../../../../types").OutboundMessage<import("../messages/V2RequestCredentialMessage").V2RequestCredentialMessage> | import("../../../../../types").OutboundServiceMessage<import("../messages/V2RequestCredentialMessage").V2RequestCredentialMessage> | undefined>;
    private createRequest;
}
