"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.V2OfferCredentialMessage = void 0;
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const AgentMessage_1 = require("../../../../../agent/AgentMessage");
const Attachment_1 = require("../../../../../decorators/attachment/Attachment");
const CredentialFormatServiceOptions_1 = require("../../../formats/models/CredentialFormatServiceOptions");
const V2CredentialPreview_1 = require("../V2CredentialPreview");
class V2OfferCredentialMessage extends AgentMessage_1.AgentMessage {
    constructor(options) {
        var _a;
        super();
        this.type = V2OfferCredentialMessage.type;
        if (options) {
            this.id = (_a = options.id) !== null && _a !== void 0 ? _a : this.generateId();
            this.comment = options.comment;
            this.formats = options.formats;
            this.credentialPreview = options.credentialPreview;
            this.messageAttachment = options.offerAttachments;
        }
    }
}
V2OfferCredentialMessage.type = 'https://didcomm.org/issue-credential/2.0/offer-credential';
__decorate([
    class_transformer_1.Type(() => CredentialFormatServiceOptions_1.CredentialFormatSpec),
    class_validator_1.ValidateNested(),
    class_validator_1.IsArray(),
    __metadata("design:type", Array)
], V2OfferCredentialMessage.prototype, "formats", void 0);
__decorate([
    class_validator_1.Equals(V2OfferCredentialMessage.type),
    __metadata("design:type", Object)
], V2OfferCredentialMessage.prototype, "type", void 0);
__decorate([
    class_validator_1.IsString(),
    class_validator_1.IsOptional(),
    __metadata("design:type", String)
], V2OfferCredentialMessage.prototype, "comment", void 0);
__decorate([
    class_transformer_1.Expose({ name: 'credential_preview' }),
    class_transformer_1.Type(() => V2CredentialPreview_1.V2CredentialPreview),
    class_validator_1.ValidateNested(),
    class_validator_1.IsInstance(V2CredentialPreview_1.V2CredentialPreview),
    __metadata("design:type", V2CredentialPreview_1.V2CredentialPreview)
], V2OfferCredentialMessage.prototype, "credentialPreview", void 0);
__decorate([
    class_transformer_1.Expose({ name: 'offers~attach' }),
    class_transformer_1.Type(() => Attachment_1.Attachment),
    class_validator_1.IsArray(),
    class_validator_1.ValidateNested({
        each: true,
    }),
    class_validator_1.IsInstance(Attachment_1.Attachment, { each: true }),
    __metadata("design:type", Array)
], V2OfferCredentialMessage.prototype, "messageAttachment", void 0);
__decorate([
    class_transformer_1.Expose({ name: 'replacement_id' }),
    class_validator_1.IsString(),
    class_validator_1.IsOptional(),
    __metadata("design:type", String)
], V2OfferCredentialMessage.prototype, "replacementId", void 0);
exports.V2OfferCredentialMessage = V2OfferCredentialMessage;
//# sourceMappingURL=V2OfferCredentialMessage.js.map