import { AgentMessage } from '../../../../../agent/AgentMessage';
import { Attachment } from '../../../../../decorators/attachment/Attachment';
import { CredentialFormatSpec } from '../../../formats/models/CredentialFormatServiceOptions';
import { V2CredentialPreview } from '../V2CredentialPreview';
export interface V2ProposeCredentialMessageProps {
    id?: string;
    formats: CredentialFormatSpec[];
    filtersAttach: Attachment[];
    comment?: string;
    credentialProposal?: V2CredentialPreview;
    attachments?: Attachment[];
}
export declare class V2ProposeCredentialMessage extends AgentMessage {
    constructor(props: V2ProposeCredentialMessageProps);
    formats: CredentialFormatSpec[];
    readonly type = "https://didcomm.org/issue-credential/2.0/propose-credential";
    static readonly type = "https://didcomm.org/issue-credential/2.0/propose-credential";
    credentialProposal?: V2CredentialPreview;
    messageAttachment: Attachment[];
    /**
     * Human readable information about this Credential Proposal,
     * so the proposal can be evaluated by human judgment.
     */
    comment?: string;
}
