"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DidKey = void 0;
const Key_1 = require("../../domain/Key");
const key_type_1 = require("../../domain/key-type");
const parse_1 = require("../../domain/parse");
class DidKey {
    constructor(key) {
        this.key = key;
    }
    static fromDid(did) {
        const parsed = parse_1.parseDid(did);
        const key = Key_1.Key.fromFingerprint(parsed.id);
        return new DidKey(key);
    }
    get did() {
        return `did:key:${this.key.fingerprint}`;
    }
    get didDocument() {
        const { getDidDocument } = key_type_1.getKeyDidMappingByKeyType(this.key.keyType);
        return getDidDocument(this.did, this.key);
    }
}
exports.DidKey = DidKey;
//# sourceMappingURL=DidKey.js.map