"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNumAlgoFromPeerDid = exports.isValidPeerDid = void 0;
const PEER_DID_REGEX = new RegExp('^did:peer:(([01](z)([1-9a-km-zA-HJ-NP-Z]{5,200}))|(2((.[AEVID](z)([1-9a-km-zA-HJ-NP-Z]{5,200}))+(.(S)[0-9a-zA-Z=]*)?)))$');
function isValidPeerDid(did) {
    const isValid = PEER_DID_REGEX.test(did);
    return isValid;
}
exports.isValidPeerDid = isValidPeerDid;
function getNumAlgoFromPeerDid(did) {
    const numAlgo = Number(did[9]);
    if (numAlgo !== 0 /* InceptionKeyWithoutDoc */ &&
        numAlgo !== 1 /* GenesisDoc */ &&
        numAlgo !== 2 /* MultipleInceptionKeyWithoutDoc */) {
        throw new Error(`Invalid peer did numAlgo: ${numAlgo}`);
    }
    return numAlgo;
}
exports.getNumAlgoFromPeerDid = getNumAlgoFromPeerDid;
//# sourceMappingURL=didPeer.js.map