"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.didToNumAlgo0DidDocument = exports.keyToNumAlgo0DidDocument = void 0;
const Key_1 = require("../../domain/Key");
const key_type_1 = require("../../domain/key-type");
const parse_1 = require("../../domain/parse");
const didPeer_1 = require("./didPeer");
function keyToNumAlgo0DidDocument(key) {
    const { getDidDocument } = key_type_1.getKeyDidMappingByKeyType(key.keyType);
    const did = `did:peer:0${key.fingerprint}`;
    return getDidDocument(did, key);
}
exports.keyToNumAlgo0DidDocument = keyToNumAlgo0DidDocument;
function didToNumAlgo0DidDocument(did) {
    const parsed = parse_1.parseDid(did);
    const numAlgo = didPeer_1.getNumAlgoFromPeerDid(did);
    if (!didPeer_1.isValidPeerDid(did)) {
        throw new Error(`Invalid peer did '${did}'`);
    }
    if (numAlgo !== 0 /* InceptionKeyWithoutDoc */) {
        throw new Error(`Invalid numAlgo ${numAlgo}, expected ${0 /* InceptionKeyWithoutDoc */}`);
    }
    const key = Key_1.Key.fromFingerprint(parsed.id.substring(1));
    const { getDidDocument } = key_type_1.getKeyDidMappingByKeyType(key.keyType);
    return getDidDocument(did, key);
}
exports.didToNumAlgo0DidDocument = didToNumAlgo0DidDocument;
//# sourceMappingURL=peerDidNumAlgo0.js.map