"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DidRecord = void 0;
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const BaseRecord_1 = require("../../../storage/BaseRecord");
const domain_1 = require("../domain");
const DidDocumentRole_1 = require("../domain/DidDocumentRole");
const parse_1 = require("../domain/parse");
class DidRecord extends BaseRecord_1.BaseRecord {
    constructor(props) {
        var _a, _b;
        super();
        this.type = DidRecord.type;
        if (props) {
            this.id = props.id;
            this.role = props.role;
            this.didDocument = props.didDocument;
            this.createdAt = (_a = props.createdAt) !== null && _a !== void 0 ? _a : new Date();
            this._tags = (_b = props.tags) !== null && _b !== void 0 ? _b : {};
        }
    }
    getTags() {
        const did = parse_1.parseDid(this.id);
        return Object.assign(Object.assign({}, this._tags), { role: this.role, method: did.method });
    }
}
DidRecord.type = 'DidDocumentRecord';
__decorate([
    class_transformer_1.Type(() => domain_1.DidDocument),
    class_validator_1.ValidateNested(),
    __metadata("design:type", domain_1.DidDocument)
], DidRecord.prototype, "didDocument", void 0);
__decorate([
    class_validator_1.IsEnum(DidDocumentRole_1.DidDocumentRole),
    __metadata("design:type", String)
], DidRecord.prototype, "role", void 0);
exports.DidRecord = DidRecord;
//# sourceMappingURL=DidRecord.js.map