import type { ConnectionRecord } from '../connections';
import type { MediationRecord } from './index';
import { AgentConfig } from '../../agent/AgentConfig';
import { Dispatcher } from '../../agent/Dispatcher';
import { EventEmitter } from '../../agent/EventEmitter';
import { MessageReceiver } from '../../agent/MessageReceiver';
import { MessageSender } from '../../agent/MessageSender';
import { ConnectionService } from '../connections/services';
import { DiscoverFeaturesModule } from '../discover-features';
import { MediationRepository } from './repository';
import { MediationRecipientService } from './services/MediationRecipientService';
export declare class RecipientModule {
    private agentConfig;
    private mediationRecipientService;
    private connectionService;
    private messageSender;
    private messageReceiver;
    private eventEmitter;
    private logger;
    private discoverFeaturesModule;
    private mediationRepository;
    constructor(dispatcher: Dispatcher, agentConfig: AgentConfig, mediationRecipientService: MediationRecipientService, connectionService: ConnectionService, messageSender: MessageSender, messageReceiver: MessageReceiver, eventEmitter: EventEmitter, discoverFeaturesModule: DiscoverFeaturesModule, mediationRepository: MediationRepository);
    initialize(): Promise<void>;
    private sendMessage;
    private openMediationWebSocket;
    private openWebSocketAndPickUp;
    initiateMessagePickup(mediator: MediationRecord): Promise<import("rxjs").Subscription | undefined>;
    private getPickupStrategyForMediator;
    discoverMediation(): Promise<MediationRecord | undefined>;
    pickupMessages(mediatorConnection: ConnectionRecord): Promise<void>;
    setDefaultMediator(mediatorRecord: MediationRecord): Promise<void>;
    requestMediation(connection: ConnectionRecord): Promise<MediationRecord>;
    notifyKeylistUpdate(connection: ConnectionRecord, verkey: string): Promise<void>;
    findByConnectionId(connectionId: string): Promise<MediationRecord | null>;
    getMediators(): Promise<MediationRecord[]>;
    findDefaultMediator(): Promise<MediationRecord | null>;
    findDefaultMediatorConnection(): Promise<ConnectionRecord | null>;
    requestAndAwaitGrant(connection: ConnectionRecord, timeoutMs?: number): Promise<MediationRecord>;
    provision(mediatorConnInvite: string): Promise<MediationRecord | null>;
    private registerHandlers;
}
