"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeliveryRequestMessage = void 0;
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const AgentMessage_1 = require("../../../agent/AgentMessage");
const TransportDecorator_1 = require("../../../decorators/transport/TransportDecorator");
class DeliveryRequestMessage extends AgentMessage_1.AgentMessage {
    constructor(options) {
        super();
        this.type = DeliveryRequestMessage.type;
        if (options) {
            this.id = options.id || this.generateId();
            this.recipientKey = options.recipientKey;
            this.limit = options.limit;
        }
        this.setReturnRouting(TransportDecorator_1.ReturnRouteTypes.all);
    }
}
DeliveryRequestMessage.type = 'https://didcomm.org/messagepickup/2.0/delivery-request';
__decorate([
    class_validator_1.Equals(DeliveryRequestMessage.type),
    __metadata("design:type", Object)
], DeliveryRequestMessage.prototype, "type", void 0);
__decorate([
    class_validator_1.IsString(),
    class_validator_1.IsOptional(),
    class_transformer_1.Expose({ name: 'recipient_key' }),
    __metadata("design:type", String)
], DeliveryRequestMessage.prototype, "recipientKey", void 0);
__decorate([
    class_validator_1.IsInt(),
    __metadata("design:type", Number)
], DeliveryRequestMessage.prototype, "limit", void 0);
exports.DeliveryRequestMessage = DeliveryRequestMessage;
//# sourceMappingURL=DeliveryRequestMessage.js.map