"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkProofRequestForDuplicates = exports.predicateNamesToArray = exports.attributeNamesToArray = void 0;
const assertNoDuplicates_1 = require("./assertNoDuplicates");
function attributeNamesToArray(proofRequest) {
    // Attributes can contain either a `name` string value or an `names` string array. We reduce it to a single array
    // containing all attribute names from the requested attributes.
    return Array.from(proofRequest.requestedAttributes.values()).reduce((names, a) => [...names, ...(a.name ? [a.name] : a.names ? a.names : [])], []);
}
exports.attributeNamesToArray = attributeNamesToArray;
function predicateNamesToArray(proofRequest) {
    return Array.from(proofRequest.requestedPredicates.values()).map((a) => a.name);
}
exports.predicateNamesToArray = predicateNamesToArray;
function checkProofRequestForDuplicates(proofRequest) {
    const attributes = attributeNamesToArray(proofRequest);
    const predicates = predicateNamesToArray(proofRequest);
    assertNoDuplicates_1.assertNoDuplicatesInArray(attributes.concat(predicates));
}
exports.checkProofRequestForDuplicates = checkProofRequestForDuplicates;
//# sourceMappingURL=indyProofRequest.js.map