import type { PlaintextMessage } from '../types';
export interface ParsedMessageType {
    /**
     * Message name
     *
     * @example request
     */
    messageName: string;
    /**
     * Version of the protocol
     *
     * @example 1.0
     */
    protocolVersion: string;
    /**
     * Name of the protocol
     *
     * @example connections
     */
    protocolName: string;
    /**
     * Document uri of the message.
     *
     * @example https://didcomm.org
     */
    documentUri: string;
    /**
     * Uri identifier of the protocol. Includes the
     * documentUri, protocolName and protocolVersion.
     * Useful when working with feature discovery
     */
    protocolUri: string;
}
export declare function parseMessageType(messageType: string): ParsedMessageType;
export declare function replaceLegacyDidSovPrefixOnMessage(message: PlaintextMessage | Record<string, unknown>): void;
export declare function replaceNewDidCommPrefixWithLegacyDidSovOnMessage(message: Record<string, unknown>): void;
export declare function replaceLegacyDidSovPrefix(messageType: string): string;
export declare function replaceNewDidCommPrefixWithLegacyDidSov(messageType: string): string;
